minor bug fix
[distro-setup] / mount-latest-remote
index ec475597cc01c4960ddb8ec10758c1647856b25a..2b5ca59fd81bfdf4efbf27385e22e86bfca3b3c5 100755 (executable)
@@ -19,16 +19,17 @@ trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
 script_dir=$(dirname $(readlink -f "$BASH_SOURCE"))
 
 if [[ ! $@ ]]; then
-    echo "mount-latest-remote: error: expected 1 or more host arguments"
-    exit 1
+  echo "mount-latest-remote: error: expected 1 or more host arguments"
+  exit 1
 fi
+ret=0
 
 for tg; do
-    scp $script_dir/{mount-latest-subvol,check-subvol-stale} \
-        root@$tg:/usr/local/bin
-    ssh root@$tg bash <<'EOF'
+  scp $script_dir/{mount-latest-subvol,check-subvol-stale} \
+      root@$tg:/usr/local/bin
+  ssh root@$tg bash <<'EOF'
 set -e
 chmod +x /usr/local/bin/{mount-latest-subvol,check-subvol-stale}
-mount-latest-subvol
+/usr/local/bin/mount-latest-subvol
 EOF
 done